Skip to main content
GET
/
communities
/
{communityId}
Get community by ID
curl --request GET \
  --url https://{subdomain}.nudj.cx/api/v2/admin/communities/{communityId} \
  --header 'x-api-token: <api-key>'
{
  "id": "<string>",
  "organisationId": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "communityType": "Artist",
  "access": "open",
  "status": "archived",
  "tags": [
    "<string>"
  ],
  "campaigns": [
    "<string>"
  ],
  "customTabs": [
    {
      "title": "<string>",
      "url": "<string>",
      "opensInNewTab": true,
      "position": 2
    }
  ],
  "descriptionConfig": {
    "content": "<string>",
    "disableLineClamp": true,
    "maxLines": 5.5
  },
  "links": {
    "website": "<string>",
    "discord": "<string>",
    "douyin": "<string>",
    "facebook": "<string>",
    "instagram": "<string>",
    "kuaishou": "<string>",
    "linkedin": "<string>",
    "messenger": "<string>",
    "pinterest": "<string>",
    "qq": "<string>",
    "qzone": "<string>",
    "quora": "<string>",
    "reddit": "<string>",
    "snapchat": "<string>",
    "telegram": "<string>",
    "tiktok": "<string>",
    "twitter": "<string>",
    "wechat": "<string>",
    "weibo": "<string>",
    "whatsapp": "<string>",
    "youtube": "<string>"
  },
  "style": {
    "lightMode": {
      "navbarLogo": "<string>",
      "logo": "<string>",
      "banner": "<string>",
      "theme": {},
      "customCSS": "<string>",
      "favicon": "<string>"
    },
    "darkMode": {
      "navbarLogo": "<string>",
      "logo": "<string>",
      "banner": "<string>",
      "theme": {},
      "customCSS": "<string>",
      "favicon": "<string>"
    },
    "general": {
      "primaryLanguage": "english"
    }
  },
  "usersWaiting": [
    "<string>"
  ],
  "verified": true,
  "termsAndConditionsUrl": "<string>",
  "privacyPolicyUrl": "<string>",
  "additionalInformation": [
    {
      "variableConfigId": "<string>",
      "required": true,
      "position": 2
    }
  ],
  "bannerTitle": "<string>",
  "bannerDescription": "<string>",
  "bannerButtonText": "<string>",
  "bannerHref": "<string>",
  "rules": {
    "text": "<string>",
    "agreements": [
      "<string>"
    ]
  },
  "requireMemberRole": true,
  "featured": true,
  "memberRequirements": [
    {
      "type": "<string>",
      "minimumAge": 123,
      "parentManaged": true
    }
  ],
  "availableAsTemplateForOrganisations": [
    "<string>"
  ],
  "isGlobalTemplate": true,
  "referralUrlOverride": "<string>",
  "startsAt": "<string>",
  "expiresAt": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "communityBackgroundImage": "<string>",
  "password": "<string>"
}

Authorizations

x-api-token
string
header
required

Headers

x-language
string

The language to return the community in. If not provided, the default language for the organisation will be used.

Path Parameters

communityId
string
required

Response

Successful response

A community

id
string
required

The id of the community

Pattern: ^[0-9a-fA-F]{24}$
organisationId
string
required

The organisation that the community belongs to

Pattern: ^[0-9a-fA-F]{24}$
name
string
required

The name of the community

slug
string
required

The slug of the community in format of only letters and hyphens

communityType
enum<string>
required

The type of the community

Available options:
Artist,
Brand,
Business,
Cause,
Community,
Entertainment,
Organisation,
Place,
Product
access
enum<string>
required

The access level of the community

Available options:
open,
request
status
enum<string>
required

The status of the community

Available options:
archived,
draft,
expired,
live,
scheduled
tags
string[]
required

An array of objectId tagIds referencing the tags collection

Pattern: ^[0-9a-fA-F]{24}$
campaigns
string[]
required

An array of objectId campaignIds referencing the campaigns collection

Pattern: ^[0-9a-fA-F]{24}$
customTabs
Custom Tab · object[]
required

Array of custom navigation tabs (maximum 2)

Maximum array length: 2
descriptionConfig
object

The description configuration including content and display settings

The links of the community

style
object

The style of the community

usersWaiting
string[] | null

The users waiting for approval

verified
boolean | null

Whether the community is verified

termsAndConditionsUrl
string<uri> | null

The terms and conditions url of the community

privacyPolicyUrl
string<uri> | null

The privacy policy url of the community

additionalInformation
Variable Config Reference · object[] | null

Configurable form fields to collect additional user information when joining the community. Each field (e.g., email, phone, address) is defined by a variable config that specifies its type, validation rules, and display order.

bannerTitle
string | null
bannerDescription
string | null
bannerButtonText
string | null
bannerHref
string<uri> | null
rules
Community Rules · object

Community rules with text content and agreement statements

requireMemberRole
boolean | null
memberRequirements
object · CodeMemberRequirement · object · object[] | null
availableAsTemplateForOrganisations
string[] | null

The organisations that the community is available as a template for

Pattern: ^[0-9a-fA-F]{24}$
isGlobalTemplate
boolean | null

Whether the community is a global template

referralUrlOverride
string<uri> | null

The referral url override of the community

startsAt
string | null

The date the community is set to be available publicly

expiresAt
string | null

The date the community is set to be unavailable publicly

createdAt
string | null

The date the community was created

updatedAt
string | null

The date the community was last updated

communityBackgroundImage
string<uri> | null

Background image URL for the community. Recommended size: 1920x1080px (laptop screen size) or larger for optimal display across devices

password
string | null

A password to access the community. If set then the community will require a password to join.